Page MenuHomeFreeBSD

Do not use read-modify-write on MSC control register.
ClosedPublic

Authored by kan on Dec 28 2016, 7:12 PM.

Details

Reviewers
jmcneill
br
Group Reviewers
MIPS
Summary

The register is write-only, so just write only bits we want.

Submitted by: jmcneil

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

kan updated this revision to Diff 23352.Dec 28 2016, 7:12 PM
kan retitled this revision from to Do not use read-modify-write on MSC control register..
kan updated this object.
kan edited the test plan for this revision. (Show Details)
kan set the repository for this revision to rS FreeBSD src repository.
kan added subscribers: jmcneill_invisible.ca, MIPS, br.
kan removed subscribers: imp, br, MIPS, jmcneill_invisible.ca.
jmcneill added inline comments.Dec 28 2016, 7:14 PM
sys/mips/ingenic/jz4780_mmc.c
728

I changed this to two separate writes. In section 32.8.4 of the PM it lists "start the clock" and "start the operation" as separate steps.

kan added inline comments.Dec 28 2016, 7:22 PM
sys/mips/ingenic/jz4780_mmc.c
728

Linux does it in one step too, so I won't change that.

kan marked an inline comment as done.Dec 28 2016, 7:24 PM
kan updated this revision to Diff 23353.Dec 28 2016, 7:29 PM
kan removed rS FreeBSD src repository as the repository for this revision.

Missed one more place

jmcneill accepted this revision.Dec 28 2016, 7:30 PM
jmcneill edited edge metadata.
This revision is now accepted and ready to land.Dec 28 2016, 7:30 PM
br accepted this revision.Dec 29 2016, 6:52 PM
br edited edge metadata.
kan closed this revision.Jan 5 2017, 5:45 AM